import xmlunleashed.ch10.RentalPropertyDAO;
import xmlunleashed.ch10.DAOException;

import xmlunleashed.ch10.jaxb.RentalPropertyList;

import java.io.	IOException;

/**
 * Test harness for the RentalPropertyDAO. Retrieves a rental property list and displays the
 * results to standard out.
 */
public class TestApp {

	/**
	 * DAO data member
	 */
	protected RentalPropertyDAO myRentalDAO;

	/**
	 * Constructs the RentalPropertyDAO
	 */
	public TestApp() throws DAOException {
		myRentalDAO = new RentalPropertyDAO();
	}

	/**
	 * Retrives a rental property list and displays the results to standard out
	 */
	public void process() throws DAOException, IOException {
		// Get the list of rental properties
		RentalPropertyList theList = myRentalDAO.getRentalProperties();

		// Send the XML data to standard out.
		theList.marshal(System.out);
	}

	/**
	 *  Main routine.  Constructs the test app and runs the process.
	 */
	public static void main(String[] args) {
		try {
			TestApp myApp = new TestApp();

			myApp.process();
		}
		catch (Exception exc) {
			exc.printStackTrace();
		}
	}
}